<?php
namespace backend\models;

class RemitApi extends BaseApi
{
    public $apiUrl = 'remit';

    /**
     * 异步通知
     * @param array $data
     * @return array
     */
    public function callNotify($data)
    {
        $result = $this->post($this->apiUrl . '/notify', $data);
        if ($result['code'] == 1) {
            return $this->returnArray(1, $result['data'], '操作成功');
        } else {
            return $this->returnArray(0, [], $result['message']);
        }
    }
}